using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Security.Cryptography;
using System.Text;
using System.Threading.Tasks;
namespace ConsoleApplication1
{
    class Program
    {
        static void sort(int[] a, int n)
        {
            for (int i = 0; i < n - 1; i++)
            {
                for (int j = 0; j < n - 1 - i; j++)
                {
                    if (a[j] > a[j + 1])
                    {
                        int p = a[j];
                        a[j] = a[j + 1];
                        a[j + 1] = p;
                    }
                }
            }
        }
        static bool provera(int[] a, int n, int k)
        {
            for (int i = 0; i < n; i++)
            {
                if (a[i] == k)
                {
                    return true;
                }
            }
            return false;
        }
        static void glavno(ref int n, int q, ref int[] a, int[] b)
        {
            for (int i = 0; i < q; i++)
            {
                int levo = 0;
                int desno = 0;
                if (provera(a, n, b[i]) == false)
                {
                    int[] a1 = new int[n + 1];
                    for (int j = 0; j < n; j++)
                    {
                        a1[j] = a[j];
                    }
                    a1[n] = b[i];
                    sort(a1, n + 1);
                    brojanje(ref levo, ref desno, a1, b[i], n + 1);
                    if (desno > levo)
                    {
                        Console.WriteLine(desno - levo);
                    }
                    else if (levo > desno)
                    {
                        Console.WriteLine(levo - desno);
                    }
                    else
                    {
                        Console.WriteLine(0);
                    }
                }
                else
                {
                    brojanje(ref levo, ref desno, a, b[i], n);
                    if (desno > levo)
                    {
                        Console.WriteLine(desno - levo);
                    }
                    else if (levo > desno)
                    {
                        Console.WriteLine(levo - desno - 1);
                    }
                    else
                    {
                        Console.WriteLine(0);
                    }
                }
            }
        }
        static void brojanje(ref int levo, ref int desno, int []a, int k,int n)
        {
            for(int i = 0; i < n; i++)
            {
                if (a[i] < k)
                {
                    levo++;
                }
                else if (a[i]>k)
                {
                    desno++;
                }
            }
        }
        static void Main(string[] args)
        {
            string[] red1 = Console.ReadLine().Split(" ");
            int n = int.Parse(red1[0]);
            int q = int.Parse(red1[1]);
            int[] a = new int[n];
            int[] b = new int[q];
            string[] red2 = Console.ReadLine().Split(" ");
            for (int i = 0; i < n; i++)
            {
                a[i] = int.Parse(red2[i]);
            }
            string[] red3 = Console.ReadLine().Split(" ");
            for (int i = 0; i < q; i++)
            {
                b[i] = int.Parse(red3[i]);
            }
            glavno(ref n, q, ref a, b);
            Console.ReadLine();


        }
    }
}